package com.redxun.knowledge.album.entity.enums;

/**
 * 文件名: AlbumEnum
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum AlbumVersionEnum {

    APPROVE_PROGRESS(1,"审核中"),
    FORCE_PROGRESS(2,"已发布"),
    NO_FORCE(3,""),
    REJECT(4,"驳回");


    private Integer code;
    private String message;

    AlbumVersionEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(Integer code) {
        AlbumVersionEnum[] albumInfoEnums = values();
        for (AlbumVersionEnum albumInfoEnum : albumInfoEnums) {
            if (albumInfoEnum.code.equals(code)) {
                return albumInfoEnum.message;
            }
        }
        return null;
    }
}