package com.redxun.knowledge.album.mapper;

import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumCatalogueKnowledge;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* 业务--专辑目录知识表数据库访问层
*/
@Mapper
public interface AlbumCatalogueKnowledgeMapper extends BaseDao<AlbumCatalogueKnowledge> {

    /**
     * 批量删除知识
     * @param albumCatalogueIdList
     */
    void deleteByCatalogueId(@Param("ids") List<String> albumCatalogueIdList);
}
